from tkinter import *
from tkinter import ttk
import tkinter as tk
import backend


class admin:
    def __init__(self, window):
        self.window = window
        self.window.title('Admin User Page')
        self.frame = LabelFrame(self.window, text='Register New Book',font=('Verdana', 10, 'bold'))
        self.frame.grid(row=0, column=0, columnspan=6, pady=30)
       
        # Title Input
        Label(self.frame, text='Title:',  font=('Verdana', 10, 'bold')).grid(row=1, column=0)
        self.title_text = Entry(self.frame,   width=25, font=('Arial', 12, 'bold'))
        self.title_text.focus()
        self.title_text.grid(row=1, column=1)

        # Year Input
        Label(self.frame, text='Year:',  font=('Verdana', 10, 'bold')).grid(row=2, column=0)
        self.year_text = Entry(self.frame,  width=25, font=('Arial', 12, 'bold'))
        self.year_text.focus()
        self.year_text.grid(row=2, column=1)

        # Author Input
        Label(self.frame, text='Author:',font=('Verdana', 10, 'bold')).grid(row=3, column=0)
        self.author_text = Entry(self.frame,  width=25, font=('Arial', 12, 'bold'))
        self.author_text.focus()
        self.author_text.grid(row=3, column=1)

        # ISBN Input
        Label(self.frame, text='Isbn:',  font=('Verdana', 10, 'bold')).grid(row=4, column=0)
        self.isbn_text = Entry(self.frame,  width=25, font=('Arial', 12, 'bold'))
        self.isbn_text.focus()
        self.isbn_text.grid(row=4, column=1)

        # Button Add Book
        Button(self.frame, text='Add Entry', font=('Verdana', 10, 'bold'),command="we will put the add entry function here").grid(row=5, columnspan=5, sticky=W + E)

        # Output Messages 
        self.message = Label(text = '', fg = 'red')
        self.message.grid(row = 3, column = 0, columnspan =6,padx=50,sticky = N+ S+W + E)

        # Table
        self.tree = ttk.Treeview(height = 9, columns=("Title","Author", "Year", "Isbn"))
        self.tree.grid(row = 6, column = 0, columnspan =6,padx=50,sticky = N+ S+W + E,)   
        self.tree.heading('#0',text = 'ID', anchor = CENTER)
        self.tree.heading('Title',text = 'Title', anchor = CENTER)
        self.tree.heading('Author',text = 'Author', anchor = CENTER)
        self.tree.heading('Year',text = 'Year', anchor = CENTER)
        self.tree.heading('Isbn',text = 'Isbn', anchor = CENTER)
        self.tree.column("#0", width=50)
        self.tree.column("Year", width=70)

        # Buttons
        self.button_view = ttk.Button(text = 'VIEW ALL', command = "we will put the view all entry function here")
        self.button_view.place(x=60, y=405, width=100, height=20)
        self.button_search = ttk.Button(text = 'SEARCH', command = "we will put the search databased function here")
        self.button_search.place(x=205, y=405, width=100, height=20)
        self.button_delete =ttk.Button(text = 'DELETE', command = "we will put the delete entry function here")
        self.button_delete.place(x=355, y=405, width=100, height=20)
        self.button_update = self.button_issue = ttk.Button(text = 'UPDATE', command ="we will put update entry function here")
        self.button_update.place(x=505, y=405, width=100, height=20)
        self.button_requested = self.button_issue = ttk.Button(text = 'ISSUED BOOK', command ="we will put the issued book function here",)
        self.button_requested.place(x=660, y=405, width=100, height=20)


backend.connect()
window = Tk()
window.geometry('800x460')
window.configure(bg='green')
obj = admin(window)
window.mainloop()